Rem ORA-30393: a query block in the statement did not rewrite

SELECT /*+ REWRITE_OR_ERROR */ c.cust_last_name,
  c.cust_credit_limit,
  SUM(amount_sold) AS dollar_sales
FROM sales s, customers c
WHERE s.cust_id= c.cust_id
GROUP BY c.cust_last_name,
  c.cust_credit_limit
ORDER BY 1;